#ifndef SWIG_LIBWCCL_TOKENMATCH_I
#define SWIG_LIBWCCL_TOKENMATCH_I

%module libccltokenmatch
%{
  #include <libwccl/values/tokenmatch.h>
%}

%include "libcclposition.i"
%include "libcclmatchdata.i"
%include "libcorpus/libcorpusannotatedsentence.i"

%nodefaultctor Wccl::TokenMatch;

namespace Wccl {
  class TokenMatch : public MatchData {
  public:
    explicit TokenMatch(Position position);
    explicit TokenMatch(int pos);
    
    /* --------------------------------------------------------------------- */
    bool empty() const;

    /* --------------------------------------------------------------------- */
    Position first_token(const boost::shared_ptr<Corpus2::AnnotatedSentence>&) const;
    Position last_token(const boost::shared_ptr<Corpus2::AnnotatedSentence>&) const;

    /* --------------------------------------------------------------------- */
    std::string to_raw_string() const;
  };
}

using namespace std;
using namespace Wccl;

#endif /* SWIG_LIBWCCL_TOKENMATCH_I */
